Create a taxonomy

POST/products/{product_id}/taxonomies

Creates a taxonomy in a product, with a singular name and a plural_name.

Taxonomies are available only for products in the blog format. For other formats, the API returns 409 Conflict with the format_unsupported error code.

Taxonomies cannot be created in replicated products. Attempts to do so return 403 Forbidden with the replica_readonly error code.

AuthorizationBearer <token>

Autonomous mode: the API credential secret, sent as a bearer token. Credential secrets are identified by a fixed prefix.

In: header

Path Parameters

product_id*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/products/string/taxonomies" \  -H "Content-Type: application/json" \  -d '{    "name": "string",    "plural_name": "string"  }'
{  "data": {    "created_at": "2019-08-24T14:15:22Z",    "id": "string",    "name": "string",    "object": "taxonomy",    "plural_name": "string",    "product_id": "string",    "revision": "string",    "terms_count": 0,    "updated_at": "2019-08-24T14:15:22Z"  }}